yesod-form-1.2.1.3: Form handling support for Yesod Web Framework

Safe Haskell | None

Yesod.Form.Class

# Documentation

class ToField a master where

Methods

toField :: RenderMessage master FormMessage => FieldSettings master -> Maybe a -> AForm sub master a

Instances

ToField Double master |
ToField Int master |
ToField Int64 master |
ToField Text master |
ToField Html master |
ToField TimeOfDay master |
ToField Day master |
ToField Textarea master |
ToField (Maybe Double) master |
ToField (Maybe Int) master |
ToField (Maybe Int64) master |
ToField (Maybe Text) master |
ToField (Maybe Html) master |
ToField (Maybe TimeOfDay) master |
ToField (Maybe Day) master |
ToField (Maybe Textarea) master |